Enables all targeting rules for the specified site by setting the site's enableTargeting flag to true.
Reference
POST https://YOUR-NETWORK-DOMAIN/rest-api/site/{siteId}/targeting/enable.do
Enables all targeting rules for the specified site by setting the site's enableTargeting flag to true. Once enabled, all configured targeting rules will be applied during ad serving. Requires UPDATE permission on the site and MANAGE_SUPPLY_PRE_TARGETING user permission.
using var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("POST"), "https://YOUR-NETWORK-DOMAIN/rest-api/site/3001/targeting/enable.do");
request.Headers.Add("X-Api-Key", "YOUR_API_KEY");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());